Bug 661616 - Wrong icon in System Group section on /rhn/YourRhn.do
Wrong icon in System Group section on /rhn/YourRhn.do
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
540
All Linux
low Severity low
: ---
: ---
Assigned To: Michael Mráka
Jan Hutař
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-12-09 03:26 EST by Michael Mráka
Modified: 2011-03-17 10:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
cause: the query which shows systems in system group was changed conseq.: icons didn't reflect system states fix: updated conditions which select appropriate icons result: icons reflect states again
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-17 10:12:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2010-12-09 03:26:25 EST
Description of problem:
All system groups shows 'No applicable errata' icon on  /rhn/YourRhn.do even if there are applicable erratas.

Version-Release number of selected component (if applicable):
spacewalk-java-1.2.39-29.el5sat.noarch


How reproducible:
always

Steps to Reproduce:
1. register system(s)
2. make sure there are applicable errata for the system(s)
3. create system group for the system(s)
4. go to https://satellite/rhn/YourRhn.do
5. check icon in system groups table

Actual results:
'No applicable errata' (blue check icon)

Expected results:
Errata available icon.

Additional info:
Comment 1 Michael Mráka 2010-12-09 05:07:03 EST
Query has been changed some time ago but jsp fragment was not updated.

Fixed in spacewalk git
commit 4571bec22d34af64eb9b22fb471879f3214f6ef4
    646488 - fixed systemGroups.jsp according to new query
    query has been changed in 73369cb5971a658c38f3f41e8354ad1a15a67fb4

Package spacewalk-java-1.3.24-1.
Comment 5 Michael Mráka 2011-02-18 04:40:23 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
cause: the query which shows systems in system group was changed
conseq.: icons didn't reflect system states
fix: updated conditions which select appropriate icons
result: icons reflect states again
Comment 7 errata-xmlrpc 2011-03-17 10:12:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0362.html

Note You need to log in before you can comment on or make changes to this bug.